services:
  _defaults:
    autowire: true
    autoconfigure: true
    public: false

  GeorgRinger\NewsAdministration\:
    resource: '../Classes/*'

  GeorgRinger\NewsAdministration\Backend\RecordList\NewsDatabaseRecordList:
    public: true

  GeorgRinger\NewsAdministration\Controller\AdministrationController:
    tags: [ 'backend.controller' ]

  GeorgRinger\NewsAdministration\EventListener\ModifyDatabaseQueryForRecordListingEventListener:
    tags:
      - name: event.listener
        identifier: 'news-administration/modify-database-query-for-list'
        method: 'modify'
        event: TYPO3\CMS\Backend\View\Event\ModifyDatabaseQueryForRecordListingEvent